#ifndef PLAYER_INPUT_H
#define PLAYER_INPUT_H

#include "scene/main/node.h"

class PlayerInput : public Node {
	GDCLASS(PlayerInput, Node);
	static void _bind_methods();
	void normalize_input();
	void _notification(int what);
	virtual void unhandled_input(Ref<InputEvent> const &event) override;

public:
	static String sig_movement_input;
	static String sig_look_input;
	static String sig_primary_fire;
	static String sig_alt_mode;
	static String sig_switch_weapon;
	static String sig_run;
	static String sig_jump;
	static String sig_crouch;

private:
	bool was_paused{ false };
};

#endif // !PLAYER_INPUT_H
